summaryrefslogtreecommitdiffstats
path: root/gfx/ots/sync.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
commit2aa4a82499d4becd2284cdb482213d541b8804dd (patch)
treeb80bf8bf13c3766139fbacc530efd0dd9d54394c /gfx/ots/sync.sh
parentInitial commit. (diff)
downloadfirefox-2aa4a82499d4becd2284cdb482213d541b8804dd.tar.xz
firefox-2aa4a82499d4becd2284cdb482213d541b8804dd.zip
Adding upstream version 86.0.1.upstream/86.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'gfx/ots/sync.sh')
-rwxr-xr-xgfx/ots/sync.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/gfx/ots/sync.sh b/gfx/ots/sync.sh
new file mode 100755
index 0000000000..81738f9e1d
--- /dev/null
+++ b/gfx/ots/sync.sh
@@ -0,0 +1,38 @@
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+if [ $# = 0 ] ; then
+ echo "usage: ./sync.sh ots-git-directory"
+ exit 1
+fi
+
+echo "Updating LICENSE..."
+cp $1/LICENSE .
+
+echo "Updating src..."
+cd src
+ls | fgrep -v moz.build | xargs rm -rf
+cp -r $1/src/* .
+cd ..
+
+echo "Updating include..."
+rm -rf include/
+cp -r $1/include .
+
+echo "Updating tests..."
+rm -rf tests/*
+mkdir -p tests
+cp -r $1/tests/*.cc tests
+
+echo "Updating README.mozilla..."
+REVISION=`cd $1; git log | head -1 | sed "s/commit //"`
+VERSION=`cd $1; git describe | cut -d '-' -f 1 | sed 's/v//'`
+sed -e "s/\(Current revision: \).*/\1$REVISION \($VERSION\)/" README.mozilla > README.tmp
+mv README.tmp README.mozilla
+
+echo "Applying ots-visibility.patch..."
+patch -p3 < ots-visibility.patch
+
+echo "Applying ots-lz4.patch..."
+patch -p3 < ots-lz4.patch